1. Payments
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Status Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Files
    • Upload File
  • Webhook
    • Overview
    • Event Types
    • Verifying
    • Payment Event
    • Payout Event
    • Appeal Event
  1. Payments

List Payments

GET
/payments

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/payments?created_from=2026-01-01T00%3A00%3A00Z&created_to=2026-01-31T23%3A59%3A59Z&status=paid&limit=20&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNi0wMS0wMVQwMDoyNTowM1oiLCJpZCI6InR4bl8ybjFUUWI3bVd4SzRjUnZBIn0' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example
{
    "data": [
        {
            "id": "txn_2n1TLgiZFvF7DZuL",
            "type": "payment",
            "requested": {
                "amount": "1000.00",
                "currency": "XTS"
            },
            "initialized": {
                "amount": "1000.00",
                "currency": "XTS"
            },
            "processed": {
                "amount": "1000.00",
                "currency": "XTS"
            },
            "refunded": {
                "amount": "0.00",
                "currency": "XTS"
            },
            "requisite": {
                "type": "card",
                "card": "4242424242424242",
                "holder": "Test User",
                "bank": "Test Bank"
            },
            "payment_url": "https://pay.casharc.pro/txn_2n1TLgiZFvF7DZuL?token=…",
            "status": "paid",
            "status_code": "paid",
            "created_at": "2026-01-01T00:21:56Z",
            "expires_at": "2026-01-01T00:22:56Z",
            "finalized_at": "2026-01-01T00:34:12Z",
            "metadata": {}
        }
    ],
    "pagination": {
        "has_more": true,
        "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0wMS0wMVQwMDoyMTo1NloiLCJpZCI6InR4bl8ybjFUTGdpWkZ2RjdEWnVMIn0"
    }
}
Previous
Create Payment
Next
Retrieve Payment
Built with